# Interface BoxBoundingVolume

interface BoxBoundingVolume {
center: Vector3;
halfSize: Vector3;
rotation: Matrix3;
type: "box";
applyMatrix4(matrix: Matrix4): BoxBoundingVolume;
clone(): BoxBoundingVolume;
copy(boxBoundingVolume: BoxBoundingVolume): BoxBoundingVolume;
distanceSquaredToPoint(point: Vector3): number;
distanceToPlane(plane: Plane): number;
distanceToPoint(point: Vector3): number;
fromJson(__namedParameters: BoxBoundingVolumeJson): this;
getBoundingBox(target: Box3): Box3;
getCenter(result: Vector3): Vector3;
intersectPlane(plane: Plane): VolumePlaneIntersect;
intersectRay(ray: Ray, threshold?: number, far?: number): boolean;
toGeometry(): BufferGeometry;
toJson(): BoxBoundingVolumeJson;
}

#### Implements

- BoundingVolume

- Defined in lib/five/utils/volume.ts:174

##### Index

### Properties

center
halfSize
rotation
type

### Methods

applyMatrix4
clone
copy
distanceSquaredToPoint
distanceToPlane
distanceToPoint
fromJson
getBoundingBox
getCenter
intersectPlane
intersectRay
toGeometry
toJson

## Properties

### center

center: Vector3

- Defined in lib/five/utils/volume.ts:177

### halfSize

halfSize: Vector3

- Defined in lib/five/utils/volume.ts:178

### rotation

rotation: Matrix3

- Defined in lib/five/utils/volume.ts:179

### type

type: "box" = ...

Implementation of BoundingVolume.type

- Defined in lib/five/utils/volume.ts:176

## Methods

### applyMatrix4

- applyMatrix4(matrix: Matrix4): BoxBoundingVolume

  #### Parameters

  - matrix: Matrix4

  #### Returns BoxBoundingVolume

  Implementation of BoundingVolume.applyMatrix4

  - Defined in lib/five/utils/volume.ts:245

### clone

- clone(): BoxBoundingVolume

  #### Returns BoxBoundingVolume

  Implementation of BoundingVolume.clone

  - Defined in lib/five/utils/volume.ts:241

### copy

- copy(boxBoundingVolume: BoxBoundingVolume): BoxBoundingVolume

  #### Parameters

  - boxBoundingVolume: BoxBoundingVolume

  #### Returns BoxBoundingVolume

  Implementation of BoundingVolume.copy

  - Defined in lib/five/utils/volume.ts:234

### distanceSquaredToPoint

- distanceSquaredToPoint(point: Vector3): number

  #### Parameters

  - point: Vector3

  #### Returns number

  Implementation of BoundingVolume.distanceSquaredToPoint

  - Defined in lib/five/utils/volume.ts:265

### distanceToPlane

- distanceToPlane(plane: Plane): number

  #### Parameters

  - plane: Plane

  #### Returns number

  Implementation of BoundingVolume.distanceToPlane

  - Defined in lib/five/utils/volume.ts:318

### distanceToPoint

- distanceToPoint(point: Vector3): number

  #### Parameters

  - point: Vector3

  #### Returns number

  Implementation of BoundingVolume.distanceToPoint

  - Defined in lib/five/utils/volume.ts:314

### fromJson

- fromJson(__namedParameters: BoxBoundingVolumeJson): this

  #### Parameters

  - __namedParameters: BoxBoundingVolumeJson

  #### Returns this

  Implementation of BoundingVolume.fromJson

  - Defined in lib/five/utils/volume.ts:187

### getBoundingBox

- getBoundingBox(target: Box3): Box3

  #### Parameters

  - target: Box3

  #### Returns Box3

  Implementation of BoundingVolume.getBoundingBox

  - Defined in lib/five/utils/volume.ts:323

### getCenter

- getCenter(result: Vector3): Vector3

  #### Parameters

  - result: Vector3

  #### Returns Vector3

  Implementation of BoundingVolume.getCenter

  - Defined in lib/five/utils/volume.ts:261

### intersectPlane

- intersectPlane(plane: Plane): VolumePlaneIntersect

  #### Parameters

  - plane: Plane

  #### Returns VolumePlaneIntersect

  Implementation of BoundingVolume.intersectPlane

  - Defined in lib/five/utils/volume.ts:398

### intersectRay

- intersectRay(ray: Ray, threshold?: number, far?: number): boolean

  #### Parameters

  - ray: Ray
  - threshold: number = 0
  - `Optional` far: number

  #### Returns boolean

  Implementation of BoundingVolume.intersectRay

  - Defined in lib/five/utils/volume.ts:437

### toGeometry

- toGeometry(): BufferGeometry

  #### Returns BufferGeometry

  Implementation of BoundingVolume.toGeometry

  - Defined in lib/five/utils/volume.ts:338

### toJson

- toJson(): BoxBoundingVolumeJson

  #### Returns BoxBoundingVolumeJson

  Implementation of BoundingVolume.toJson

  - Defined in lib/five/utils/volume.ts:222